Package com.macrofocus.common.properties

# Class SimpleProperties

java.lang.Object
com.macrofocus.common.properties.AbstractProperties<String>
com.macrofocus.common.properties.SimpleProperties

All Implemented Interfaces:
  `MutableProperties<String>`, `Properties<String>`, `Iterable<String>`

public class SimpleProperties extends AbstractProperties<String> implements MutableProperties<String>
Default data model for a collection of properties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleProperties()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T> MutableProperty<T>`
  `addProperty(String name, MutableProperty<T> property)`
  `<T> MutableProperty<T>`
  `createProperty(String name, T value)`
  `MutableProperty`
  `getProperty(String name)`
  `Object`
  `getValue(String name)`
  `Iterator<String>`
  `iterator()`
  `<T> MutableProperty<T>`
  `replaceProperty(String name, MutableProperty<T> property)`
  `void`
  `setValue(String name, Object value)`

  ### Methods inherited from class com.macrofocus.common.properties.AbstractProperties

  `addPropertiesListener, addWeakPropertiesListener, notifyPropertyChanged, removePropertiesListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface com.macrofocus.common.properties.Properties

  `addPropertiesListener, addWeakPropertiesListener, removePropertiesListener`

- ## Constructor Details

  - ### SimpleProperties

    public SimpleProperties()

- ## Method Details

  - ### iterator

    public Iterator<String> iterator()
    Specified by:
      `iterator` in interface `Iterable<String>`
    Specified by:
      `iterator` in interface `Properties<String>`

  - ### createProperty

    public <T> MutableProperty<T> createProperty(String name, T value)
    Specified by:
      `createProperty` in interface `MutableProperties<String>`

  - ### addProperty

    public <T> MutableProperty<T> addProperty(String name, MutableProperty<T> property)
    Specified by:
      `addProperty` in interface `MutableProperties<String>`

  - ### replaceProperty

    public <T> MutableProperty<T> replaceProperty(String name, MutableProperty<T> property)
    Specified by:
      `replaceProperty` in interface `MutableProperties<String>`

  - ### getValue

    public Object getValue(String name)
    Specified by:
      `getValue` in interface `Properties<String>`

  - ### setValue

    public void setValue(String name, Object value)
    Specified by:
      `setValue` in interface `MutableProperties<String>`

  - ### getProperty

    public MutableProperty getProperty(String name)
    Specified by:
      `getProperty` in interface `MutableProperties<String>`
    Specified by:
      `getProperty` in interface `Properties<String>`